org.bdgenomics.cannoli.cli

# BowtieFn

###
Related Doc: package cli

#### class BowtieFn extends CannoliFn[FragmentRDD, AlignmentRecordRDD] with Logging

Bowtie wrapper as a function FragmentRDD → AlignmentRecordRDD, for use in cannoli-shell or notebooks.

Linear Supertypes
Logging, CannoliFn[FragmentRDD, AlignmentRecordRDD], (FragmentRDD) ⇒ AlignmentRecordRDD, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BowtieFn
2. Logging
3. CannoliFn
4. Function1
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BowtieFn(args: BowtieFnArgs, sc: SparkContext)

   args

     Bowtie function arguments.

   sc

     Spark context.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def absolute(pathName: String): String

   Definition Classes
     CannoliFn

5. #### def andThen[A](g: (AlignmentRecordRDD) ⇒ A): (FragmentRDD) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

6. #### def apply(fragments: FragmentRDD): AlignmentRecordRDD

   Definition Classes
     BowtieFn → Function1

7. #### val args: BowtieFnArgs

   Bowtie function arguments.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compose[A](g: (A) ⇒ FragmentRDD): (A) ⇒ AlignmentRecordRDD

    Definition Classes
      Function1
    Annotations
      @unspecialized()

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def files(pathName: String, filter: PathFilter): Seq[String]

    Definition Classes
      CannoliFn

14. #### def files(pathName: String): Seq[String]

    Definition Classes
      CannoliFn

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

20. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### def root(pathName: String): String

    Definition Classes
      CannoliFn

36. #### val sc: SparkContext

    Spark context.

    Spark context.

    Definition Classes
      CannoliFn

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logging

### Inherited from CannoliFn[FragmentRDD, AlignmentRecordRDD]

### Inherited from (FragmentRDD) ⇒ AlignmentRecordRDD

### Inherited from AnyRef

### Inherited from Any

### Ungrouped